﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using WPFEdit.ViewModels;
using System.Windows;
using System.Windows.Input;

namespace SampleApp
{
    public class MainMenuModel
    {
        ObservableCollection<MenuItem> m_menuItems;

        private MenuItem m_fileMenu, m_projectMenu, m_helpMenu;

        public MainMenuModel()
        {
            m_fileMenu = new MenuItem() { Name = "File" };
            m_helpMenu = new MenuItem() { Name = "Help" };
            m_menuItems = new ObservableCollection<MenuItem>()
            {
                FileMenu,
                HelpMenu
            };
            
        }

        public ObservableCollection<MenuItem> MenuItems
        {
            get
            {
                return m_menuItems;
            }
            set
            {
                m_menuItems = value;
            }
        }

        public MenuItem HelpMenu
        {
            get { return m_helpMenu; }
        }

        public MenuItem FileMenu
        {
            get { return m_fileMenu; }
        }
    }
}
