﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace WPFEdit.Document
{
    /// <summary>
    /// This interface creates a Document instance and assigns its data object using the data
    /// in the stream provided. The extension is provided in case this reader reads multiple extensions.
    /// The implementing class needs to have a DocumentReaderAttribute on it.
    /// </summary>
    public interface IDocumentReader
    {
        Document ReadDocument(Stream input, String extension);
    }
}
