﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace WPFEdit.Document
{
    /// <summary>
    /// This class writes the contents of a document to an output stream.
    /// The implementing class must have the DocumentWriterAttribute. 
    /// </summary>
    public interface IDocumentWriter
    {
        void WriteDocument(Stream output, Document doc);
    }
}
